import os
from flask import Flask, request, abort, jsonify

import unlocker

PORT = os.environ.get('PORT') or 5000
CODE = os.environ.get('CODE') or '8787'
UNLOCKER_PIN = os.environ.get('UNLOCKER_PIN') or 'XIO-P7'

app = Flask(__name__)


@app.route('/')
def root():
    return jsonify({
        'message': "Welcome to my door!",
    })


@app.route('/unlock')
def unlock():
    code = request.args.get('code')

    if (code == CODE):
        unlocker.run(UNLOCKER_PIN)
        return "OK"
    else:
        abort(404)


if __name__ == '__main__':
    app.run('0.0.0.0', port=PORT)
